Scheduling Pages
Get Available Time Slots
Query bookable time slots for any scheduling page, personal, team or shared. Used as the first step of a programmatic booking flow.
GET
/
availability
/
{ownerSlug}
/
event-types
/
{eventTypeSlug}
Get available time slots of a scheduling page
curl --request GET \
--url https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ownerSlug": "lena-meier",
"eventTypeSlug": "30min-discovery-call",
"schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call",
"duration": 30,
"firstAvailableDate": "2026-04-01",
"lastAvailableDate": "2026-04-14",
"timeZone": "Europe/Berlin",
"timeZoneOffset": "+02:00",
"isNotAvailable": false,
"availability": [
{
"date": "2026-04-01",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-02",
"slots": [
"09:00",
"09:30",
"10:00",
"11:00",
"11:30",
"14:00",
"15:00",
"15:30"
]
},
{
"date": "2026-04-03",
"slots": [
"09:00",
"10:30",
"11:00",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-04",
"slots": []
},
{
"date": "2026-04-05",
"slots": []
},
{
"date": "2026-04-06",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"14:00",
"14:30",
"15:00"
]
},
{
"date": "2026-04-07",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-08",
"slots": [
"09:00",
"09:30",
"14:00",
"14:30",
"15:00"
]
},
{
"date": "2026-04-09",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30"
]
},
{
"date": "2026-04-10",
"slots": [
"09:00",
"09:30",
"10:00",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-11",
"slots": []
},
{
"date": "2026-04-12",
"slots": []
},
{
"date": "2026-04-13",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-14",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30",
"15:00"
]
}
],
"currentTime": "2026-03-20T12:00:00+00:00"
}Path Parameters
Query Parameters
Optional location-aware availability. The per-location stable key from the location resource's key field (e.g. loc_42), or room_<resourceId> for a room. The bare location enum string (e.g. ZOOM) is still accepted for backward compatibility. For a Round Robin event type it prunes availability to hosts that can fulfill that location (Meet/Teams/Skype/Zoom/Webex/Demodesk integration), and for a room location it intersects only that room's calendar. Omit for unfiltered availability (the default, pre-location-aware behavior).
Example:
"loc_42"
Response
OK
- Empty slot arrays indicate dates with no availability.
- The
isNotAvailableflag indicates if the scheduling page has no availability during the time range. - When
withHostsCount=1is used in the request, slots are returned as objects containing both time and available host count. - When
hostEmailorhostSlugis used, the response will only include available slots for the specified host.
Last modified on August 31, 2026
⌘I
Get available time slots of a scheduling page
curl --request GET \
--url https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zeeg.me/v2/availability/{ownerSlug}/event-types/{eventTypeSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ownerSlug": "lena-meier",
"eventTypeSlug": "30min-discovery-call",
"schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call",
"duration": 30,
"firstAvailableDate": "2026-04-01",
"lastAvailableDate": "2026-04-14",
"timeZone": "Europe/Berlin",
"timeZoneOffset": "+02:00",
"isNotAvailable": false,
"availability": [
{
"date": "2026-04-01",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-02",
"slots": [
"09:00",
"09:30",
"10:00",
"11:00",
"11:30",
"14:00",
"15:00",
"15:30"
]
},
{
"date": "2026-04-03",
"slots": [
"09:00",
"10:30",
"11:00",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-04",
"slots": []
},
{
"date": "2026-04-05",
"slots": []
},
{
"date": "2026-04-06",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"14:00",
"14:30",
"15:00"
]
},
{
"date": "2026-04-07",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-08",
"slots": [
"09:00",
"09:30",
"14:00",
"14:30",
"15:00"
]
},
{
"date": "2026-04-09",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30"
]
},
{
"date": "2026-04-10",
"slots": [
"09:00",
"09:30",
"10:00",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-11",
"slots": []
},
{
"date": "2026-04-12",
"slots": []
},
{
"date": "2026-04-13",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"14:00",
"14:30",
"15:00",
"15:30",
"16:00"
]
},
{
"date": "2026-04-14",
"slots": [
"09:00",
"09:30",
"10:00",
"10:30",
"11:00",
"11:30",
"14:00",
"14:30",
"15:00"
]
}
],
"currentTime": "2026-03-20T12:00:00+00:00"
}